<?php

namespace App\Http\Controllers\Admin;

use App\Models\Plan;
use App\Constants\Status;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class PlanController extends Controller
{
    public function all()
    {
        $pageTitle = 'Plan';
        $plans = Plan::latest()->paginate(getPaginate());
        return view('admin.plan.index', compact('pageTitle', 'plans'));
    }

    public function add(Request $request, $id = 0)
    {
        $request->validate([
            'name' => 'required|string',
            'price' => 'required|numeric|gt:0',
            'credit' => 'required|integer|gt:0',

        ]);

        if ($id) {
            $plan = Plan::findOrFail($id);
            $message = 'Plan updated successfully';
        } else {
            $plan = new Plan();
            $message = 'Plan added successfully';
        }

        $plan->name = $request->name;
        $plan->price = $request->price;
        $plan->credit = $request->credit;
        $plan->featured = $request->featured ? Status::YES : Status::NO;
        $plan->publication_status = $request->publication_status ? Status::PUBLISHED : Status::UNPUBLISHED;
        $plan->save();

        $notify[] = ['success', $message];
        return back()->withNotify($notify);
    }
}
