<?php

namespace App\Models;

use App\Constants\Status;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Casts\Attribute;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class Promotion extends Model
{
    use HasFactory;

    public function user()
    {
        return $this->hasOne(User::class, 'id', 'user_id');
    }

    public function statusBadge(): Attribute
    {
        return new Attribute(function ()
        {
            $html = '';

            if ($this->status == Status::RUNNING)
            {
                $html = '<span class="badge rounded-pill bg-info">' . trans('Running') . '</span>';
            }
            elseif ($this->status == Status::COMPLETED)
            {
                $html = '<span class="badge rounded-pill bg-success">' . trans('Completed') . '</span>';
            }
            elseif ($this->status == Status::REJECTED)
            {
                $html = '<span class="badge rounded-pill bg-danger">' . trans('Rejected') . '</span>';
            }
            elseif ($this->status == Status::CREATED || $this->status == Status::EDITED)
            {
                $html = '<span class="badge rounded-pill bg-warning">' . trans('Pending') . '</span>';
            }

            return $html;
        });
    }
}
