@extends('admin.layouts.app')

@section('panel')
    <div class="row">

        <div class="col-lg-12">
            <div class="card b-radius--10 ">
                <div class="card-body p-0">

                    <div class="table-responsive--sm table-responsive">
                        <table class="table table--light style--two">
                            <thead>
                                <tr>
                                    <th scope="col">@lang('Credit')</th>
                                    <th scope="col">@lang('Price')</th>
                                    <th scope="col">@lang('Post credit')</th>
                                    <th scope="col">@lang('Username')</th>
                                    <th scope="col">@lang('Details')</th>
                                    <th scope="col">@lang('Time')</th>
                                </tr>
                            </thead>
                            <tbody>
                                @forelse($credits as $log)
                                    <tr>
                                        <td data-label="@lang('Credit')">
                                            {{ $log->type }} {{ getAmount($log->credit) }} @lang('credit')
                                        </td>
                                        <td data-label="@lang('Price')">{{ getAmount($log->price) }} {{ __(gs()->cur_text) }}</td>
                                        <td data-label="@lang('Post credit')">{{ getAmount($log->credit_post_balance) }} @lang('credit')</td>
                                        <td data-label="@lang('Username')">
                                            <a href="{{ route('admin.users.detail', $log->user_id) }}">
                                                {{ __(@$log->user->username) }}
                                            </a>
                                        </td>
                                        <td data-label="@lang('Details')">{{ __($log->details) }} </td>
                                        <td data-label="@lang('Time')">{{ showDateTime($log->created_at) }} </td>
                                    </tr>
                                @empty
                                    <tr>
                                        <td class="text-muted text-center" colspan="100%">{{ __($emptyMessage) }}</td>
                                    </tr>
                                @endforelse
                            </tbody>
                        </table><!-- table end -->
                    </div>
                </div>
                <div class="card-footer py-4">
                    {{ paginateLinks($credits) }}
                </div>
            </div><!-- card end -->
        </div>


    </div>
@endsection
