@extends('Template::layouts.frontend')
@section('content')
    <section class="blog-section bg--section pt-120 pb-120">
        <div class="container">
            <div class="row gy-5 justify-content-center">
                <div class="col-lg-8">
                    <div class="post__details pb-50">
                        <div class="post__header">
                            <h3 class="post__title">{{ __($blog->data_values->title) }}</h3>
                            <p>{{ __($blog->data_values->description) }}</p>
                        </div>
                        <div class="post__thumb">
                            <img src="{{ getImage('assets/images/frontend/blog/' . $blog->data_values->image) }}" alt="blog">
                        </div>
                        <p>@php echo $blog->data_values->description_nic @endphp</p>
                        <div class="row gy-4 justify-content-between">
                            <div class="col-md-6">
                                <h6 class="post__share__title">@lang('Share now')</h6>
                                <ul class="post__share">
                                    <li>
                                        <a href="https://www.facebook.com/sharer/sharer.php?u={{ url()->current() }}" target="_blank">
                                            <i class="lab la-facebook-f"></i>
                                        </a>
                                    </li>
                                    <li>
                                        <a href="https://twitter.com/home?status={{ url()->current() }}" target="_blank">
                                            <i class="lab la-twitter"></i>
                                        </a>
                                    </li>
                                    <li>
                                        <a href="https://www.linkedin.com/shareArticle?mini=true&url={{ url()->current() }}" target="_blank">
                                            <i class="lab la-linkedin-in"></i>
                                        </a>
                                    </li>
                                </ul>
                            </div>
                        </div>
                    </div>

                    @push('fbComment')
                        @php echo loadExtension('fb-comment') @endphp
                    @endpush

                </div>

                <div class="col-lg-4">
                    <aside class="blog-sidebar bg--body">
                        <div class="widget widget__post__area">
                            <h5 class="widget__title">@lang('Recent Post')</h5>
                            <ul>
                                @foreach ($blogs as $data)
                                    <li>
                                        <a href="{{ route('blog.details', $data->slug) }}" class="widget__post">
                                            <div class="widget__post__thumb">
                                                <img src="{{ getImage('assets/images/frontend/blog/' . $data->data_values->image) }}" alt="blog">
                                            </div>
                                            <div class="widget__post__content">
                                                <h6 class="widget__post__title">
                                                    {{ __($data->data_values->title) }}
                                                </h6>
                                                <span>{{ showDateTime($data->created_at) }}</span>
                                            </div>
                                        </a>
                                    </li>
                                @endforeach
                            </ul>
                        </div>
                    </aside>
                </div>
            </div>
        </div>
    </section>
@endsection
