@extends('Template::layouts.frontend')

@php
    $about = getContent('contact.content', true);
    $elements = getContent('contact.element');
@endphp

@section('content')
    <section class="contact-section pt-120 pb-120">
        <div class="container">
            <div class="contact-wrapper bg--title">
                <div class="row align-items-center justify-content-between">
                    <div class="col-lg-6">
                        <div class="section__header text--white">
                            <h3 class="section__title">{{ __(@$about->data_values->heading) }}</h3>
                            <p>
                                {{ __(@$about->data_values->sub_heading) }}
                            </p>
                        </div>

                        <form method="post" class="contact_form mb--20 verify-gcaptcha">
                            @csrf
                            <div class="form-group form--group">
                                <label class="form-label custom--label">@lang('Name')</label>
                                <input name="name" type="text" class="form-control form--control-2" value="{{ old('name', @$user->fullname) }}" @if ($user && $user->profile_complete) readonly @endif required>
                            </div>
                            <div class="form-group form--group">
                                <label class="form-label custom--label">@lang('Email')</label>
                                <input name="email" type="email" class="form-control form--control-2" value="{{ old('email', @$user->email) }}" @if ($user) readonly @endif required>
                            </div>
                            <div class="form-group form--group">
                                <label class="form-label custom--label">@lang('Subject')</label>
                                <input name="subject" type="text" class="form-control form--control-2" value="{{ old('subject') }}" required>
                            </div>
                            <div class="form-group form--group">
                                <label class="form-label custom--label">@lang('Message')</label>
                                <textarea name="message" class="form-control form--control-2" required>{{ old('message') }}</textarea>
                            </div>
                            <x-captcha />
                            <div class="form-group form--group">
                                <button type="submit" class="cmn--btn btn--lg w-100 justify-content-center">@lang('Submit')</button>
                            </div>
                        </form>

                    </div>
                    <div class="col-lg-5">
                        <div class="location-area cl-white w-100">

                            @foreach ($elements as $element)
                                <div class="location-item">
                                    <div class="location-thumb">
                                        @php echo $element->data_values->icon; @endphp
                                    </div>
                                    <div class="location-content">
                                        {{ $element->data_values->text }}
                                    </div>
                                </div>
                            @endforeach

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>

    @if ($sections->secs != null)
        @foreach (json_decode($sections->secs) as $sec)
            @include('Template::sections.' . $sec)
        @endforeach
    @endif
@endsection
