@php
    $plans = \App\Models\Plan::where('publication_status', Status::YES)
        ->where('featured', Status::YES)
        ->limit(3)
        ->get();
    $pricing = getContent('pricing.content', true);
@endphp

<!-- Pricing Section -->
<section class="pricing-section pt-120 pb-120">
    <div class="container">
        <div class="section__header section__header__center">
            <span class="section__cate">@lang('Pricing')</span>
            <h3 class="section__title">{{ __(@$pricing->data_values->heading) }}</h3>
            <p>
                {{ __(@$pricing->data_values->sub_heading) }}
            </p>
        </div>
        <div class="price-wrapper">
            @foreach ($plans as $plan)
                <div class="pricing-item">
                    <div class="pricing-deco">
                        <img class="pricing--img" src="{{ asset($activeTemplateTrue . '/images/shape-wave.svg') }}" alt="@lang('Plan')">
                        <div class="pricing-price"><span class="pricing-currency">{{ __(gs()->cur_sym) }}</span>
                            {{ getAmount($plan->price) }}
                        </div>
                        <h3 class="pricing-title">{{ __($plan->name) }}</h3>
                    </div>
                    <ul class="pricing-feature-list">
                        <li class="pricing-feature"><strong>{{ getAmount($plan->credit) }}</strong> @lang('credits')</li>
                    </ul>
                    @auth
                        <button type="button" class="pricing-action buyBtn" data-id="{{ $plan->id }}">@lang('Purchase Now')</button>
                    @else
                        <a class="pricing-action" href="{{ route('user.login') }}">@lang('Purchase Now')</a>
                    @endauth
                </div>
            @endforeach
        </div>
    </div>
</section>

@auth
    @include('Template::partials.buy_modal')
@endauth
