@php
    $testimonial = getContent('testimonial.content', true);
    $elements = getContent('testimonial.element');
@endphp

<!-- Client Section -->
<section class="clients-section pt-120 pb-120 bg--overlay bg_img bg_fixed" data-background="{{ getImage('assets/images/frontend/testimonial/' . @$testimonial->data_values->image, '1920x1080') }}">
    <div class="container">
        <div class="row">
            <div class="col-lg-6">
                <div class="section__header text--white">
                    <span class="section__cate">@lang('Testimonials')</span>
                    <h3 class="section__title">
                        {{ __(@$testimonial->data_values->heading) }}
                    </h3>
                    <p>
                        {{ __(@$testimonial->data_values->sub_heading) }}
                    </p>
                </div>
            </div>
        </div>
        <div class="client-slider owl-theme owl-carousel">

            @foreach ($elements as $element)
                <div class="client__item text--white">
                    <div class="client__header">
                        <div class="thumb">
                            <img src="{{ getImage('assets/images/frontend/testimonial/' . $element->data_values->image, '250x250') }}" alt="client">
                        </div>
                        <div class="name__area">
                            <h6 class="name text--white">{{ __($element->data_values->name) }}</h6>
                            <span class="designation">{{ __($element->data_values->designation) }}</span>
                        </div>
                    </div>
                    <div class="client__content">
                        <p>
                            {{ __($element->data_values->say) }}
                        </p>
                        <div class="ratings">
                            @for ($i = 1; $i <= $element->data_values->number_star; $i++)
                                <span>
                                    <i class="las la-star"></i>
                                </span>
                            @endfor
                        </div>
                    </div>
                </div>
            @endforeach

        </div>
    </div>
</section>
<!-- Client Section -->
