@extends('Template::layouts.master')
@section('content')
    <section class="show-ads-section pt-120 pb-120">
        <div class="container">
            <div class="row g-4 justify-content-center">
                @forelse($ads as $ad)
                    <div class="col-xl-3 col-lg-4 col-sm-6">
                        <div class="card custom--card">
                            <div class="card-body p-0">
                                <a href='{{ route('user.view.advertisement', encrypt($ad->id)) }}' target='_blank' class='d-block'>
                                    <div class="ads-thumb">
                                        <img src="{{ getImage(getFilePath('advertisement') . '/' . $ad->image, getFileSize('advertisement')) }}" alt="ads">
                                    </div>
                                    <div class="ads-content d-flex flex-wrap align-items-center justify-content-between px-3">
                                        <h6 class="title mb-0">{{ $ad->title }}</h6>
                                        <span class="cred badge badge--success">+{{ getAmount($ad->credit) }}</span>
                                    </div>
                                </a>
                            </div>
                        </div>
                    </div>
                @empty
                    <h4 class="justify-content-center d-flex text-center">@lang('No advertisement found')!</h4>
                @endforelse

            </div>
            {{ paginateLinks($ads, 'Template::paginate') }}
        </div>
    </section>
@endsection
