@extends('Template::layouts.app')

@php
    $bgImage = getContent('backgroundImage.content', true);
@endphp

@section('panel')
    <section class="account--section bg_img bg--overlay pb-80 pt-80" data-background="{{ frontendImage('backgroundImage', @$bgImage->data_values->image, '1920x1080') }}">
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-md-10 col-lg-8 col-xl-6">
                    <div class="contact-wrapper bg--glass">
                        <div class="logo">
                            <a href="{{ route('home') }}"><img src="{{ siteLogo() }}" alt="logo"></a>
                        </div>
                        <h3 class="title text-center text--white mb-20 mb-lg-4">@lang('Welcome to') {{ gs('site_name') }}</h3>

                        @include('Template::partials.social_login')

                        <form method="POST" action="{{ route('user.login') }}" class="account-form verify-gcaptcha">
                            @csrf
                            <div class="row gy-4">
                                <div class="col-md-12">
                                    <label for="email" class="form-label custom--label required text--white">@lang('Username or Email')</label>
                                    <input type="text" name="username" value="{{ old('username') }}" class="form--control-2 form-control" required>
                                </div>
                                <div class="col-md-12">
                                    <label for="password" class="form-label custom--label required text--white">@lang('Password')</label>
                                    <input id="password" type="password" class="form-control form--control-2" name="password" required>
                                </div>
                                <div class="col-md-12">
                                    <x-captcha />
                                </div>

                                <div class="col-md-12">
                                    <div class="form-check form--check">
                                        <input class="form-check-input" type="checkbox" name="remember" id="remember" {{ old('remember') ? 'checked' : '' }}>
                                        <label for="remember" class="form-check-label text--white">
                                            @lang('Remember Me')
                                        </label>
                                    </div>
                                </div>
                                <div class="col-md-12">
                                    <button type="submit" id="recaptcha" class="cmn--btn w-100 justify-content-center">
                                        @lang('Login')
                                    </button>
                                    <p class="text--white mt-2">
                                        @lang("Don't have an account") ? <a href="{{ route('user.register') }}" class="text--base">@lang('Register Now')</a>
                                        <a href="{{ route('user.password.request') }}"><span class="isNot">@lang('or')</span>@lang(' Forgot password?')</a>
                                    </p>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </section>
@endsection
