@extends('Template::layouts.app')

@section('panel')
    @php
        $bgImage = getContent('backgroundImage.content', true);
    @endphp
    <section class="account--section bg_img bg--overlay pb-80 pt-80" data-background="{{ frontendImage('backgroundImage', @$bgImage->data_values->image, '1920x1080') }}">
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-lg-6">
                    <div class="contact-wrapper bg--glass">
                        <div class="logo">
                            <a href="{{ route('home') }}"><img src="{{ siteLogo() }}" alt="logo"></a>
                        </div>
                        <h3 class="title text-center text--white mb-20 mb-lg-4">@lang('Reset Password')</h3>

                        <form method="POST" action="{{ route('user.password.email') }}" class="verify-gcaptcha">
                            @csrf

                            <div class="col-md-12">
                                <div class="form--group">
                                    <label class="form-label col-form-label text-white">@lang('Email or Username')</label>
                                    <input type="text" class="form-control form--control-2" name="value" value="{{ old('value') }}" required autofocus="off">
                                </div>
                            </div>

                            <div class="col-12 mb-3">
                                <x-captcha />
                            </div>

                            <div class="col-md-12">
                                <button type="submit" class="cmn--btn w-100 justify-content-center">@lang('Submit')</button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </section>
@endsection

@push('style')
    <style>
        select.minimal {
            background-image:
                linear-gradient(45deg, transparent 50%, gray 50%),
                linear-gradient(135deg, gray 50%, transparent 50%),
                linear-gradient(to right, #ccc, #ccc);
            background-position:
                calc(100% - 20px) calc(1em + 2px),
                calc(100% - 15px) calc(1em + 2px),
                calc(100% - 2.5em) 0.5em;
            background-size:
                5px 5px,
                5px 5px,
                1px 1.5em;
            background-repeat: no-repeat;
        }

        select.minimal:focus {
            background-image:
                linear-gradient(45deg, green 50%, transparent 50%),
                linear-gradient(135deg, transparent 50%, green 50%),
                linear-gradient(to right, #ccc, #ccc);
            background-position:
                calc(100% - 15px) 1em,
                calc(100% - 20px) 1em,
                calc(100% - 2.5em) 0.5em;
            background-size:
                5px 5px,
                5px 5px,
                1px 1.5em;
            background-repeat: no-repeat;
            border-color: green;
            outline: 0;
        }
    </style>
@endpush
