@extends($activeTemplate . 'layouts.master')

@section('content')
    <section class="dashboard-section pt-80 pb-80">
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-lg-8">
                    <div class="profile-wrapper bg--shadow">
                        <div class="card-body d-flex align-item-center flex-wrap justify-content-center flex-column">
                            <form method="post">
                                @csrf
                                <div class="form-group form--group">
                                    <label class="form-label custom--label text--title">@lang('Current Password')</label>
                                    <input type="password" class="form-control form--control" name="current_password" required autocomplete="current-password">
                                </div>
                                <div class="form-group form--group">
                                    <label class="form-label custom--label text--title">@lang('Password')</label>
                                    <input type="password" class="form-control form--control @if (gs('secure_password')) secure-password @endif" name="password" required autocomplete="current-password">
                                </div>
                                <div class="form-group form--group">
                                    <label class="form-label custom--label text--title">@lang('Confirm Password')</label>
                                    <input type="password" class="form-control form--control" name="password_confirmation" required autocomplete="current-password">
                                </div>
                                <div class="form-group form--group">
                                    <button type="submit" class="cmn--btn justify-content-center w-100 text--white custom--bg border-0">@lang('Submit')</button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
@endsection

@if (gs('secure_password'))
    @push('script-lib')
        <script src="{{ asset('assets/global/js/secure_password.js') }}"></script>
    @endpush
@endif
