@extends('Template::layouts.master')
@section('content')
    <section class="dashboard-section pt-80">
        <div class="container">

            <div class="pb-80 text-center">
                <h5 class="title mb-3"></h5>
                <table class="table cmn--table">
                    <thead>
                        <tr>
                            <th>@lang('Date')</th>
                            <th>@lang('Credit')</th>
                            <th>@lang('Price')</th>
                            <th>@lang('Post Credit')</th>
                            <th>@lang('Details')</th>
                        </tr>
                    </thead>
                    <tbody>
                        @forelse($logs as $data)
                            <tr>
                                <td>{{ showDateTime($data->created_at) }}</td>
                                <td>
                                    {{ $data->type }}
                                    {{ getAmount($data->credit) }}
                                </td>
                                <td>{{ showAmount($data->price) }}</td>
                                <td>
                                    {{ getAmount($data->credit_post_balance) }}
                                </td>
                                <td>{{ __($data->details) }}</td>
                            </tr>
                        @empty
                            <tr>
                                <td colspan="100%" class="justify-content-center custom--label text--title"> @lang('There is no data')</td>
                            </tr>
                        @endforelse

                    </tbody>
                </table>
                {{ paginateLinks($logs, 'Template::paginate') }}
            </div>
        </div>
    </section>
@endsection
