@extends('Template::layouts.frontend')
@section('content')
    <div class="pb-120 pt-120">
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-md-8 col-lg-7 col-xl-5">
                    <div class="card custom--card bg--title">
                        <div class="card-body">
                            <form method="POST" action="{{ route('user.data.submit') }}">
                                @csrf
                                <div class="row">
                                    <div class="col-md-12">
                                        <div class="form-group form--group">
                                            <label class="form-label custom--label">@lang('Username')</label>
                                            <input type="text" class="form-control form--control-2 checkUser"
                                                name="username" value="{{ old('username') }}">
                                            <small class="text--danger usernameExist"></small>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group form--group">
                                            <label class="form-label custom--label">@lang('Country')</label>
                                            <select name="country" class="form-control form--control-2 select2" required>
                                                @foreach ($countries as $key => $country)
                                                    <option data-mobile_code="{{ $country->dial_code }}"
                                                        value="{{ $country->country }}" data-code="{{ $key }}">
                                                        {{ __($country->country) }}
                                                    </option>
                                                @endforeach
                                            </select>
                                        </div>
                                    </div>

                                    <div class="col-md-6">
                                        <div class="form-group form--group">
                                            <label class="form-label custom--label">@lang('Mobile')</label>
                                            <div class="input-group ">
                                                <span class="input-group-text mobile-code">

                                                </span>
                                                <input type="hidden" name="mobile_code">
                                                <input type="hidden" name="country_code">
                                                <input type="number" name="mobile" value="{{ old('mobile') }}"
                                                    class="form-control form--control-2 checkUser" required>
                                            </div>
                                            <small class="text--danger mobileExist"></small>
                                        </div>
                                    </div>
                                    <div class="form-group form--group col-sm-6">
                                        <label class="form-label custom--label">@lang('Address')</label>
                                        <input type="text" class="form-control form--control-2" name="address"
                                            value="{{ old('address') }}">
                                    </div>
                                    <div class="form-group form--group col-sm-6">
                                        <label class="form-label custom--label">@lang('State')</label>
                                        <input type="text" class="form-control form--control-2" name="state"
                                            value="{{ old('state') }}">
                                    </div>
                                    <div class="form-group form--group col-sm-6">
                                        <label class="form-label custom--label">@lang('Zip Code')</label>
                                        <input type="text" class="form-control form--control-2" name="zip"
                                            value="{{ old('zip') }}">
                                    </div>
                                    <div class="form-group form--group col-sm-6">
                                        <label class="form-label custom--label">@lang('City')</label>
                                        <input type="text" class="form-control form--control-2" name="city"
                                            value="{{ old('city') }}">
                                    </div>
                                </div>
                                <div class="form-group form--group">
                                    <button type="submit" class="cmn--btn btn--lg w-100 justify-content-center">
                                        @lang('Submit')
                                    </button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection

@push('style-lib')
    <link rel="stylesheet" href="{{ asset('assets/global/css/select2.min.css') }}">
@endpush

@push('style')
    <style>
        input::-webkit-outer-spin-button,
        input::-webkit-inner-spin-button {
            -webkit-appearance: none;
        }

        input[type='number'] {
            appearance: textfield;
        }

        .input-group {
            border-radius: 3px;
            overflow: hidden;
        }

        .input-group .input-group-text {
            border-radius: 3px;
            background-color: rgba(255, 255, 255, 0.1) !important;
            border-color: #346dff4d;
            color: #fff;
        }

        .input-group:focus-within {
            box-shadow: 0 0 0 .25rem rgba(13,110,253,.25) !important;
        }

        .input-group .form-control.form--control-2:focus {
            box-shadow: none;
        }

        .select2-container--default .select2-selection--single {
            padding: 10px 3px !important;
            border-radius: 3px !important;
            border-width: 1px !important;
            border-color: #346dff4d !important;
            background-color: rgba(255, 255, 255, 0.1) !important;
        }

        .select2-container--default .select2-selection--single .select2-selection__arrow {
            top: 10px !important;
        }

        .select2-selection--single .select2-selection__rendered,
        .select2-selection--multiple .select2-selection__rendered,
        .select2-selection--single .select2-selection__arrow,
        .select2-selection--multiple .select2-selection__arrow {
            color: #fff !important;
        }

        .select2-container--focus .select2-selection--single,
        .select2-container--focus .select2-selection--multiple {
            outline: none;
            background-color: rgb(255, 255, 255) !important;
            box-shadow: 0 0 0 .25rem rgba(13,110,253,.25) !important;
        }

        .select2-container--focus .select2-selection--single .select2-selection__rendered,
        .select2-container--focus .select2-selection--multiple .select2-selection__rendered,
        .select2-container--focus .select2-selection--single .select2-selection__arrow,
        .select2-container--focus .select2-selection--multiple .select2-selection__arrow {
            color: #212529 !important;
        }

        .select2-dropdown {
            background-color: #042656 !important;
        }

        .select2-results__option--selectable {
            color: #fff;
        }
        .select2-results__option.select2-results__option--selected,
        .select2-results__option--selectable,
        .select2-container--default .select2-results__option--disabled {
            border-bottom-color: rgba(255, 255, 255, 0.15);
        }

        .select2-results__option--highlighted.select2-results__option--selectable:not([class*="selected"]) {
            color: hsl(var(--base)) !important;
            background-color: transparent !important;
        }

        .select2-results__option.select2-results__option--selectable.select2-results__option--selected {
            background-color: hsl(var(--base)) !important;
            color: #fff !important;
        }

        .select2-container--default .select2-search--dropdown .select2-search__field {
            color: #fff;
            border-radius: 3px;
            border-color: rgba(255, 255, 255, 0.15);
            background-color: transparent;
        }

        .select2-container--default .select2-search--dropdown .select2-search__field:focus {
            border-color: hsl(var(--base));
        }

        .select2-results__option.select2-results__message {
            color: #fff !important;
        }

    </style>
@endpush

@push('script-lib')
    <script src="{{ asset('assets/global/js/select2.min.js') }}"></script>
@endpush


@push('script')
    <script>
        "use strict";
        (function($) {

            @if ($mobileCode)
                $(`option[data-code={{ $mobileCode }}]`).attr('selected', '');
            @endif

            $('.select2').select2();

            $('select[name=country]').on('change', function() {
                $('input[name=mobile_code]').val($('select[name=country] :selected').data('mobile_code'));
                $('input[name=country_code]').val($('select[name=country] :selected').data('code'));
                $('.mobile-code').text('+' + $('select[name=country] :selected').data('mobile_code'));
                var value = $('[name=mobile]').val();
                var name = 'mobile';
                checkUser(value, name);
            });

            $('input[name=mobile_code]').val($('select[name=country] :selected').data('mobile_code'));
            $('input[name=country_code]').val($('select[name=country] :selected').data('code'));
            $('.mobile-code').text('+' + $('select[name=country] :selected').data('mobile_code'));


            $('.checkUser').on('focusout', function(e) {
                var value = $(this).val();
                var name = $(this).attr('name')
                checkUser(value, name);
            });

            function checkUser(value, name) {
                var url = '{{ route('user.checkUser') }}';
                var token = '{{ csrf_token() }}';

                if (name == 'mobile') {
                    var mobile = `${value}`;
                    var data = {
                        mobile: mobile,
                        mobile_code: $('.mobile-code').text().substr(1),
                        _token: token
                    }
                }
                if (name == 'username') {
                    var data = {
                        username: value,
                        _token: token
                    }
                }
                $.post(url, data, function(response) {
                    if (response.data != false) {
                        $(`.${response.type}Exist`).text(`${response.field} already exist`);
                    } else {
                        $(`.${response.type}Exist`).text('');
                    }
                });
            }
        })(jQuery);
    </script>
@endpush
